#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSPViolationReportBody" "\0"
  /*   881 */ "CSS" "\0"
  /*   885 */ "CSS2Properties" "\0"
  /*   900 */ "CSSAnimation" "\0"
  /*   913 */ "CSSConditionRule" "\0"
  /*   930 */ "CSSContainerRule" "\0"
  /*   947 */ "CSSCounterStyleRule" "\0"
  /*   967 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*  1000 */ "CSSFontFaceRule" "\0"
  /*  1016 */ "CSSFontFeatureValuesRule" "\0"
  /*  1041 */ "CSSFontPaletteValuesRule" "\0"
  /*  1066 */ "CSSGroupingRule" "\0"
  /*  1082 */ "CSSImportRule" "\0"
  /*  1096 */ "CSSKeyframeRule" "\0"
  /*  1112 */ "CSSKeyframesRule" "\0"
  /*  1129 */ "CSSLayerBlockRule" "\0"
  /*  1147 */ "CSSLayerStatementRule" "\0"
  /*  1169 */ "CSSMarginRule" "\0"
  /*  1183 */ "CSSMediaRule" "\0"
  /*  1196 */ "CSSMozDocumentRule" "\0"
  /*  1215 */ "CSSNamespaceRule" "\0"
  /*  1232 */ "CSSNestedDeclarations" "\0"
  /*  1254 */ "CSSPageDescriptors" "\0"
  /*  1273 */ "CSSPageRule" "\0"
  /*  1285 */ "CSSPositionTryDescriptors" "\0"
  /*  1311 */ "CSSPositionTryRule" "\0"
  /*  1330 */ "CSSPropertyRule" "\0"
  /*  1346 */ "CSSPseudoElement" "\0"
  /*  1363 */ "CSSRule" "\0"
  /*  1371 */ "CSSRuleList" "\0"
  /*  1383 */ "CSSScopeRule" "\0"
  /*  1396 */ "CSSStartingStyleRule" "\0"
  /*  1417 */ "CSSStyleDeclaration" "\0"
  /*  1437 */ "CSSStyleRule" "\0"
  /*  1450 */ "CSSStyleSheet" "\0"
  /*  1464 */ "CSSSupportsRule" "\0"
  /*  1480 */ "CSSTransition" "\0"
  /*  1494 */ "Cache" "\0"
  /*  1500 */ "CacheStorage" "\0"
  /*  1513 */ "CallbackDebuggerNotification" "\0"
  /*  1542 */ "CanonicalBrowsingContext" "\0"
  /*  1567 */ "CanvasCaptureMediaStream" "\0"
  /*  1592 */ "CanvasGradient" "\0"
  /*  1607 */ "CanvasPattern" "\0"
  /*  1621 */ "CanvasRenderingContext2D" "\0"
  /*  1646 */ "CaretPosition" "\0"
  /*  1660 */ "CaretStateChangedEvent" "\0"
  /*  1683 */ "ChannelMergerNode" "\0"
  /*  1701 */ "ChannelSplitterNode" "\0"
  /*  1721 */ "ChannelWrapper" "\0"
  /*  1736 */ "CharacterData" "\0"
  /*  1750 */ "CheckerboardReportService" "\0"
  /*  1776 */ "ChildProcessMessageManager" "\0"
  /*  1803 */ "ChildSHistory" "\0"
  /*  1817 */ "ChromeMessageBroadcaster" "\0"
  /*  1842 */ "ChromeMessageSender" "\0"
  /*  1862 */ "ChromeNodeList" "\0"
  /*  1877 */ "ChromeUtils" "\0"
  /*  1889 */ "ChromeWorker" "\0"
  /*  1902 */ "Client" "\0"
  /*  1909 */ "Clients" "\0"
  /*  1917 */ "Clipboard" "\0"
  /*  1927 */ "ClipboardEvent" "\0"
  /*  1942 */ "ClipboardItem" "\0"
  /*  1956 */ "ClonedErrorHolder" "\0"
  /*  1974 */ "CloseEvent" "\0"
  /*  1985 */ "CloseWatcher" "\0"
  /*  1998 */ "CommandEvent" "\0"
  /*  2011 */ "Comment" "\0"
  /*  2019 */ "CompositionEvent" "\0"
  /*  2036 */ "CompressionStream" "\0"
  /*  2054 */ "ConsoleInstance" "\0"
  /*  2070 */ "ConstantSourceNode" "\0"
  /*  2089 */ "ContentFrameMessageManager" "\0"
  /*  2116 */ "ContentProcessMessageManager" "\0"
  /*  2145 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2183 */ "ConvolverNode" "\0"
  /*  2197 */ "CookieChangeEvent" "\0"
  /*  2215 */ "CookieStore" "\0"
  /*  2227 */ "CountQueuingStrategy" "\0"
  /*  2248 */ "CreateOfferRequest" "\0"
  /*  2267 */ "Credential" "\0"
  /*  2278 */ "CredentialsContainer" "\0"
  /*  2299 */ "Crypto" "\0"
  /*  2306 */ "CryptoKey" "\0"
  /*  2316 */ "CustomElementRegistry" "\0"
  /*  2338 */ "CustomEvent" "\0"
  /*  2350 */ "CustomStateSet" "\0"
  /*  2365 */ "DOMException" "\0"
  /*  2378 */ "DOMImplementation" "\0"
  /*  2396 */ "DOMLocalization" "\0"
  /*  2412 */ "DOMMatrix" "\0"
  /*  2422 */ "DOMMatrixReadOnly" "\0"
  /*  2440 */ "DOMParser" "\0"
  /*  2450 */ "DOMPoint" "\0"
  /*  2459 */ "DOMPointReadOnly" "\0"
  /*  2476 */ "DOMQuad" "\0"
  /*  2484 */ "DOMRect" "\0"
  /*  2492 */ "DOMRectList" "\0"
  /*  2504 */ "DOMRectReadOnly" "\0"
  /*  2520 */ "DOMStringList" "\0"
  /*  2534 */ "DOMStringMap" "\0"
  /*  2547 */ "DOMTokenList" "\0"
  /*  2560 */ "DataTransfer" "\0"
  /*  2573 */ "DataTransferItem" "\0"
  /*  2590 */ "DataTransferItemList" "\0"
  /*  2611 */ "DebuggerNotification" "\0"
  /*  2632 */ "DebuggerNotificationObserver" "\0"
  /*  2661 */ "DecompressionStream" "\0"
  /*  2681 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2708 */ "DelayNode" "\0"
  /*  2718 */ "DeprecationReportBody" "\0"
  /*  2740 */ "DeviceAcceleration" "\0"
  /*  2759 */ "DeviceLightEvent" "\0"
  /*  2776 */ "DeviceMotionEvent" "\0"
  /*  2794 */ "DeviceOrientationEvent" "\0"
  /*  2817 */ "DeviceRotationRate" "\0"
  /*  2836 */ "Directory" "\0"
  /*  2846 */ "Document" "\0"
  /*  2855 */ "DocumentFragment" "\0"
  /*  2872 */ "DocumentL10n" "\0"
  /*  2885 */ "DocumentTimeline" "\0"
  /*  2902 */ "DocumentType" "\0"
  /*  2915 */ "DominatorTree" "\0"
  /*  2929 */ "DragEvent" "\0"
  /*  2939 */ "DynamicsCompressorNode" "\0"
  /*  2962 */ "EXT_blend_minmax" "\0"
  /*  2979 */ "EXT_color_buffer_float" "\0"
  /*  3002 */ "EXT_color_buffer_half_float" "\0"
  /*  3030 */ "EXT_depth_clamp" "\0"
  /*  3046 */ "EXT_disjoint_timer_query" "\0"
  /*  3071 */ "EXT_float_blend" "\0"
  /*  3087 */ "EXT_frag_depth" "\0"
  /*  3102 */ "EXT_sRGB" "\0"
  /*  3111 */ "EXT_shader_texture_lod" "\0"
  /*  3134 */ "EXT_texture_compression_bptc" "\0"
  /*  3163 */ "EXT_texture_compression_rgtc" "\0"
  /*  3192 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3223 */ "EXT_texture_norm16" "\0"
  /*  3242 */ "Element" "\0"
  /*  3250 */ "ElementInternals" "\0"
  /*  3267 */ "EncodedAudioChunk" "\0"
  /*  3285 */ "EncodedVideoChunk" "\0"
  /*  3303 */ "ErrorEvent" "\0"
  /*  3314 */ "Event" "\0"
  /*  3320 */ "EventCallbackDebuggerNotification" "\0"
  /*  3354 */ "EventCounts" "\0"
  /*  3366 */ "EventSource" "\0"
  /*  3378 */ "EventTarget" "\0"
  /*  3390 */ "Exception" "\0"
  /*  3400 */ "ExtendableEvent" "\0"
  /*  3416 */ "ExtendableMessageEvent" "\0"
  /*  3439 */ "ExtensionAlarms" "\0"
  /*  3455 */ "ExtensionBrowser" "\0"
  /*  3472 */ "ExtensionBrowserSettings" "\0"
  /*  3497 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3537 */ "ExtensionDns" "\0"
  /*  3550 */ "ExtensionEventManager" "\0"
  /*  3572 */ "ExtensionMockAPI" "\0"
  /*  3589 */ "ExtensionPort" "\0"
  /*  3603 */ "ExtensionProxy" "\0"
  /*  3618 */ "ExtensionRuntime" "\0"
  /*  3635 */ "ExtensionScripting" "\0"
  /*  3654 */ "ExtensionSetting" "\0"
  /*  3671 */ "ExtensionTest" "\0"
  /*  3685 */ "External" "\0"
  /*  3694 */ "FeaturePolicy" "\0"
  /*  3708 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3741 */ "FetchEvent" "\0"
  /*  3752 */ "FetchObserver" "\0"
  /*  3766 */ "File" "\0"
  /*  3771 */ "FileList" "\0"
  /*  3780 */ "FileReader" "\0"
  /*  3791 */ "FileReaderSync" "\0"
  /*  3806 */ "FileSystem" "\0"
  /*  3817 */ "FileSystemDirectoryEntry" "\0"
  /*  3842 */ "FileSystemDirectoryHandle" "\0"
  /*  3868 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3908 */ "FileSystemDirectoryIterator" "\0"
  /*  3936 */ "FileSystemDirectoryReader" "\0"
  /*  3962 */ "FileSystemEntry" "\0"
  /*  3978 */ "FileSystemFileEntry" "\0"
  /*  3998 */ "FileSystemFileHandle" "\0"
  /*  4019 */ "FileSystemHandle" "\0"
  /*  4036 */ "FileSystemSyncAccessHandle" "\0"
  /*  4063 */ "FileSystemWritableFileStream" "\0"
  /*  4092 */ "Flex" "\0"
  /*  4097 */ "FlexItemValues" "\0"
  /*  4112 */ "FlexLineValues" "\0"
  /*  4127 */ "FluentBundle" "\0"
  /*  4140 */ "FluentBundleAsyncIterator" "\0"
  /*  4166 */ "FluentBundleIterator" "\0"
  /*  4187 */ "FluentPattern" "\0"
  /*  4201 */ "FluentResource" "\0"
  /*  4216 */ "FocusEvent" "\0"
  /*  4227 */ "FontFace" "\0"
  /*  4236 */ "FontFaceSet" "\0"
  /*  4248 */ "FontFaceSetIterator" "\0"
  /*  4268 */ "FontFaceSetLoadEvent" "\0"
  /*  4289 */ "FormData" "\0"
  /*  4298 */ "FormData Iterator" "\0"
  /*  4316 */ "FormDataEvent" "\0"
  /*  4330 */ "FragmentDirective" "\0"
  /*  4348 */ "FrameCrashedEvent" "\0"
  /*  4366 */ "FrameLoader" "\0"
  /*  4378 */ "GPU" "\0"
  /*  4382 */ "GPUAdapter" "\0"
  /*  4393 */ "GPUAdapterInfo" "\0"
  /*  4408 */ "GPUBindGroup" "\0"
  /*  4421 */ "GPUBindGroupLayout" "\0"
  /*  4440 */ "GPUBuffer" "\0"
  /*  4450 */ "GPUBufferUsage" "\0"
  /*  4465 */ "GPUCanvasContext" "\0"
  /*  4482 */ "GPUColorWrite" "\0"
  /*  4496 */ "GPUCommandBuffer" "\0"
  /*  4513 */ "GPUCommandEncoder" "\0"
  /*  4531 */ "GPUCompilationInfo" "\0"
  /*  4550 */ "GPUCompilationMessage" "\0"
  /*  4572 */ "GPUComputePassEncoder" "\0"
  /*  4594 */ "GPUComputePipeline" "\0"
  /*  4613 */ "GPUDevice" "\0"
  /*  4623 */ "GPUDeviceLostInfo" "\0"
  /*  4641 */ "GPUError" "\0"
  /*  4650 */ "GPUInternalError" "\0"
  /*  4667 */ "GPUMapMode" "\0"
  /*  4678 */ "GPUOutOfMemoryError" "\0"
  /*  4698 */ "GPUPipelineLayout" "\0"
  /*  4716 */ "GPUQuerySet" "\0"
  /*  4728 */ "GPUQueue" "\0"
  /*  4737 */ "GPURenderBundle" "\0"
  /*  4753 */ "GPURenderBundleEncoder" "\0"
  /*  4776 */ "GPURenderPassEncoder" "\0"
  /*  4797 */ "GPURenderPipeline" "\0"
  /*  4815 */ "GPUSampler" "\0"
  /*  4826 */ "GPUShaderModule" "\0"
  /*  4842 */ "GPUShaderStage" "\0"
  /*  4857 */ "GPUSupportedFeatures" "\0"
  /*  4878 */ "GPUSupportedLimits" "\0"
  /*  4897 */ "GPUTexture" "\0"
  /*  4908 */ "GPUTextureUsage" "\0"
  /*  4924 */ "GPUTextureView" "\0"
  /*  4939 */ "GPUUncapturedErrorEvent" "\0"
  /*  4963 */ "GPUValidationError" "\0"
  /*  4982 */ "GainNode" "\0"
  /*  4991 */ "Gamepad" "\0"
  /*  4999 */ "GamepadAxisMoveEvent" "\0"
  /*  5020 */ "GamepadButton" "\0"
  /*  5034 */ "GamepadButtonEvent" "\0"
  /*  5053 */ "GamepadEvent" "\0"
  /*  5066 */ "GamepadHapticActuator" "\0"
  /*  5088 */ "GamepadLightIndicator" "\0"
  /*  5110 */ "GamepadPose" "\0"
  /*  5122 */ "GamepadServiceTest" "\0"
  /*  5141 */ "GamepadTouch" "\0"
  /*  5154 */ "Geolocation" "\0"
  /*  5166 */ "GeolocationCoordinates" "\0"
  /*  5189 */ "GeolocationPosition" "\0"
  /*  5209 */ "GeolocationPositionError" "\0"
  /*  5234 */ "GetUserMediaRequest" "\0"
  /*  5254 */ "GleanBoolean" "\0"
  /*  5267 */ "GleanCategory" "\0"
  /*  5281 */ "GleanCounter" "\0"
  /*  5294 */ "GleanCustomDistribution" "\0"
  /*  5318 */ "GleanDatetime" "\0"
  /*  5332 */ "GleanDenominator" "\0"
  /*  5349 */ "GleanEvent" "\0"
  /*  5360 */ "GleanImpl" "\0"
  /*  5370 */ "GleanLabeled" "\0"
  /*  5383 */ "GleanMemoryDistribution" "\0"
  /*  5407 */ "GleanMetric" "\0"
  /*  5419 */ "GleanNumerator" "\0"
  /*  5434 */ "GleanObject" "\0"
  /*  5446 */ "GleanPingsImpl" "\0"
  /*  5461 */ "GleanQuantity" "\0"
  /*  5475 */ "GleanRate" "\0"
  /*  5485 */ "GleanString" "\0"
  /*  5497 */ "GleanStringList" "\0"
  /*  5513 */ "GleanText" "\0"
  /*  5523 */ "GleanTimespan" "\0"
  /*  5537 */ "GleanTimingDistribution" "\0"
  /*  5561 */ "GleanUrl" "\0"
  /*  5570 */ "GleanUuid" "\0"
  /*  5580 */ "Grid" "\0"
  /*  5585 */ "GridArea" "\0"
  /*  5594 */ "GridDimension" "\0"
  /*  5608 */ "GridLine" "\0"
  /*  5617 */ "GridLines" "\0"
  /*  5627 */ "GridTrack" "\0"
  /*  5637 */ "GridTracks" "\0"
  /*  5648 */ "HTMLAllCollection" "\0"
  /*  5666 */ "HTMLAnchorElement" "\0"
  /*  5684 */ "HTMLAreaElement" "\0"
  /*  5700 */ "HTMLAudioElement" "\0"
  /*  5717 */ "HTMLBRElement" "\0"
  /*  5731 */ "HTMLBaseElement" "\0"
  /*  5747 */ "HTMLBodyElement" "\0"
  /*  5763 */ "HTMLButtonElement" "\0"
  /*  5781 */ "HTMLCanvasElement" "\0"
  /*  5799 */ "HTMLCollection" "\0"
  /*  5814 */ "HTMLDListElement" "\0"
  /*  5831 */ "HTMLDataElement" "\0"
  /*  5847 */ "HTMLDataListElement" "\0"
  /*  5867 */ "HTMLDetailsElement" "\0"
  /*  5886 */ "HTMLDialogElement" "\0"
  /*  5904 */ "HTMLDirectoryElement" "\0"
  /*  5925 */ "HTMLDivElement" "\0"
  /*  5940 */ "HTMLDocument" "\0"
  /*  5953 */ "HTMLElement" "\0"
  /*  5965 */ "HTMLEmbedElement" "\0"
  /*  5982 */ "HTMLFieldSetElement" "\0"
  /*  6002 */ "HTMLFontElement" "\0"
  /*  6018 */ "HTMLFormControlsCollection" "\0"
  /*  6045 */ "HTMLFormElement" "\0"
  /*  6061 */ "HTMLFrameElement" "\0"
  /*  6078 */ "HTMLFrameSetElement" "\0"
  /*  6098 */ "HTMLHRElement" "\0"
  /*  6112 */ "HTMLHeadElement" "\0"
  /*  6128 */ "HTMLHeadingElement" "\0"
  /*  6147 */ "HTMLHtmlElement" "\0"
  /*  6163 */ "HTMLIFrameElement" "\0"
  /*  6181 */ "HTMLImageElement" "\0"
  /*  6198 */ "HTMLInputElement" "\0"
  /*  6215 */ "HTMLLIElement" "\0"
  /*  6229 */ "HTMLLabelElement" "\0"
  /*  6246 */ "HTMLLegendElement" "\0"
  /*  6264 */ "HTMLLinkElement" "\0"
  /*  6280 */ "HTMLMapElement" "\0"
  /*  6295 */ "HTMLMarqueeElement" "\0"
  /*  6314 */ "HTMLMediaElement" "\0"
  /*  6331 */ "HTMLMenuElement" "\0"
  /*  6347 */ "HTMLMetaElement" "\0"
  /*  6363 */ "HTMLMeterElement" "\0"
  /*  6380 */ "HTMLModElement" "\0"
  /*  6395 */ "HTMLOListElement" "\0"
  /*  6412 */ "HTMLObjectElement" "\0"
  /*  6430 */ "HTMLOptGroupElement" "\0"
  /*  6450 */ "HTMLOptionElement" "\0"
  /*  6468 */ "HTMLOptionsCollection" "\0"
  /*  6490 */ "HTMLOutputElement" "\0"
  /*  6508 */ "HTMLParagraphElement" "\0"
  /*  6529 */ "HTMLParamElement" "\0"
  /*  6546 */ "HTMLPictureElement" "\0"
  /*  6565 */ "HTMLPreElement" "\0"
  /*  6580 */ "HTMLProgressElement" "\0"
  /*  6600 */ "HTMLQuoteElement" "\0"
  /*  6617 */ "HTMLScriptElement" "\0"
  /*  6635 */ "HTMLSelectElement" "\0"
  /*  6653 */ "HTMLSlotElement" "\0"
  /*  6669 */ "HTMLSourceElement" "\0"
  /*  6687 */ "HTMLSpanElement" "\0"
  /*  6703 */ "HTMLStyleElement" "\0"
  /*  6720 */ "HTMLTableCaptionElement" "\0"
  /*  6744 */ "HTMLTableCellElement" "\0"
  /*  6765 */ "HTMLTableColElement" "\0"
  /*  6785 */ "HTMLTableElement" "\0"
  /*  6802 */ "HTMLTableRowElement" "\0"
  /*  6822 */ "HTMLTableSectionElement" "\0"
  /*  6846 */ "HTMLTemplateElement" "\0"
  /*  6866 */ "HTMLTextAreaElement" "\0"
  /*  6886 */ "HTMLTimeElement" "\0"
  /*  6902 */ "HTMLTitleElement" "\0"
  /*  6919 */ "HTMLTrackElement" "\0"
  /*  6936 */ "HTMLUListElement" "\0"
  /*  6953 */ "HTMLUnknownElement" "\0"
  /*  6972 */ "HTMLVideoElement" "\0"
  /*  6989 */ "HashChangeEvent" "\0"
  /*  7005 */ "Headers" "\0"
  /*  7013 */ "Headers Iterator" "\0"
  /*  7030 */ "HeapSnapshot" "\0"
  /*  7043 */ "Highlight" "\0"
  /*  7053 */ "HighlightRegistry" "\0"
  /*  7071 */ "History" "\0"
  /*  7079 */ "IDBCursor" "\0"
  /*  7089 */ "IDBCursorWithValue" "\0"
  /*  7108 */ "IDBDatabase" "\0"
  /*  7120 */ "IDBFactory" "\0"
  /*  7131 */ "IDBIndex" "\0"
  /*  7140 */ "IDBKeyRange" "\0"
  /*  7152 */ "IDBObjectStore" "\0"
  /*  7167 */ "IDBOpenDBRequest" "\0"
  /*  7184 */ "IDBRequest" "\0"
  /*  7195 */ "IDBTransaction" "\0"
  /*  7210 */ "IDBVersionChangeEvent" "\0"
  /*  7232 */ "IIRFilterNode" "\0"
  /*  7246 */ "IOUtils" "\0"
  /*  7254 */ "IdentityCredential" "\0"
  /*  7273 */ "IdleDeadline" "\0"
  /*  7286 */ "Image" "\0"
  /*  7292 */ "ImageBitmap" "\0"
  /*  7304 */ "ImageBitmapRenderingContext" "\0"
  /*  7332 */ "ImageCapture" "\0"
  /*  7345 */ "ImageCaptureError" "\0"
  /*  7363 */ "ImageCaptureErrorEvent" "\0"
  /*  7386 */ "ImageData" "\0"
  /*  7396 */ "ImageDecoder" "\0"
  /*  7409 */ "ImageDocument" "\0"
  /*  7423 */ "ImageTrack" "\0"
  /*  7434 */ "ImageTrackList" "\0"
  /*  7449 */ "InputEvent" "\0"
  /*  7460 */ "InspectorCSSParser" "\0"
  /*  7479 */ "InspectorFontFace" "\0"
  /*  7497 */ "InspectorUtils" "\0"
  /*  7512 */ "InstallTriggerImpl" "\0"
  /*  7531 */ "IntersectionObserver" "\0"
  /*  7552 */ "IntersectionObserverEntry" "\0"
  /*  7578 */ "IntlUtils" "\0"
  /*  7588 */ "InvokeEvent" "\0"
  /*  7600 */ "JSProcessActorChild" "\0"
  /*  7620 */ "JSProcessActorParent" "\0"
  /*  7641 */ "JSWindowActorChild" "\0"
  /*  7660 */ "JSWindowActorParent" "\0"
  /*  7680 */ "KeyEvent" "\0"
  /*  7689 */ "KeyboardEvent" "\0"
  /*  7703 */ "KeyframeEffect" "\0"
  /*  7718 */ "L10nFileSource" "\0"
  /*  7733 */ "L10nOverlays" "\0"
  /*  7746 */ "L10nRegistry" "\0"
  /*  7759 */ "LargestContentfulPaint" "\0"
  /*  7782 */ "LegacyMozTCPSocket" "\0"
  /*  7801 */ "Localization" "\0"
  /*  7814 */ "Location" "\0"
  /*  7823 */ "Lock" "\0"
  /*  7828 */ "LockManager" "\0"
  /*  7840 */ "MIDIAccess" "\0"
  /*  7851 */ "MIDIConnectionEvent" "\0"
  /*  7871 */ "MIDIInput" "\0"
  /*  7881 */ "MIDIInputMap" "\0"
  /*  7894 */ "MIDIMessageEvent" "\0"
  /*  7911 */ "MIDIOutput" "\0"
  /*  7922 */ "MIDIOutputMap" "\0"
  /*  7936 */ "MIDIPort" "\0"
  /*  7945 */ "MLS" "\0"
  /*  7949 */ "MLSGroupView" "\0"
  /*  7962 */ "MOZ_debug" "\0"
  /*  7972 */ "MatchGlob" "\0"
  /*  7982 */ "MatchPattern" "\0"
  /*  7995 */ "MatchPatternSet" "\0"
  /*  8011 */ "MathMLElement" "\0"
  /*  8025 */ "MediaCapabilities" "\0"
  /*  8043 */ "MediaControlService" "\0"
  /*  8063 */ "MediaController" "\0"
  /*  8079 */ "MediaDeviceInfo" "\0"
  /*  8095 */ "MediaDevices" "\0"
  /*  8108 */ "MediaElementAudioSourceNode" "\0"
  /*  8136 */ "MediaEncryptedEvent" "\0"
  /*  8156 */ "MediaError" "\0"
  /*  8167 */ "MediaKeyError" "\0"
  /*  8181 */ "MediaKeyMessageEvent" "\0"
  /*  8202 */ "MediaKeySession" "\0"
  /*  8218 */ "MediaKeyStatusMap" "\0"
  /*  8236 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8263 */ "MediaKeySystemAccess" "\0"
  /*  8284 */ "MediaKeys" "\0"
  /*  8294 */ "MediaList" "\0"
  /*  8304 */ "MediaMetadata" "\0"
  /*  8318 */ "MediaQueryList" "\0"
  /*  8333 */ "MediaQueryListEvent" "\0"
  /*  8353 */ "MediaRecorder" "\0"
  /*  8367 */ "MediaRecorderErrorEvent" "\0"
  /*  8391 */ "MediaSession" "\0"
  /*  8404 */ "MediaSource" "\0"
  /*  8416 */ "MediaStream" "\0"
  /*  8428 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8460 */ "MediaStreamAudioSourceNode" "\0"
  /*  8487 */ "MediaStreamError" "\0"
  /*  8504 */ "MediaStreamEvent" "\0"
  /*  8521 */ "MediaStreamTrack" "\0"
  /*  8538 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8570 */ "MediaStreamTrackEvent" "\0"
  /*  8592 */ "MerchantValidationEvent" "\0"
  /*  8616 */ "MessageBroadcaster" "\0"
  /*  8635 */ "MessageChannel" "\0"
  /*  8650 */ "MessageEvent" "\0"
  /*  8663 */ "MessageListenerManager" "\0"
  /*  8686 */ "MessagePort" "\0"
  /*  8698 */ "MessageSender" "\0"
  /*  8712 */ "MimeType" "\0"
  /*  8721 */ "MimeTypeArray" "\0"
  /*  8735 */ "MouseEvent" "\0"
  /*  8746 */ "MouseScrollEvent" "\0"
  /*  8763 */ "MozCanvasPrintState" "\0"
  /*  8783 */ "MozDocumentMatcher" "\0"
  /*  8802 */ "MozDocumentObserver" "\0"
  /*  8822 */ "MozQueryInterface" "\0"
  /*  8840 */ "MozSharedMap" "\0"
  /*  8853 */ "MozSharedMap Iterator" "\0"
  /*  8875 */ "MozSharedMapChangeEvent" "\0"
  /*  8899 */ "MozStorageAsyncStatementParams" "\0"
  /*  8930 */ "MozStorageStatementParams" "\0"
  /*  8956 */ "MozStorageStatementRow" "\0"
  /*  8979 */ "MozWritableSharedMap" "\0"
  /*  9000 */ "MutationEvent" "\0"
  /*  9014 */ "MutationObserver" "\0"
  /*  9031 */ "MutationRecord" "\0"
  /*  9046 */ "NamedNodeMap" "\0"
  /*  9059 */ "NavigateEvent" "\0"
  /*  9073 */ "Navigation" "\0"
  /*  9084 */ "NavigationActivation" "\0"
  /*  9105 */ "NavigationCurrentEntryChangeEvent" "\0"
  /*  9139 */ "NavigationDestination" "\0"
  /*  9161 */ "NavigationHistoryEntry" "\0"
  /*  9184 */ "NavigationPreloadManager" "\0"
  /*  9209 */ "NavigationTransition" "\0"
  /*  9230 */ "Navigator" "\0"
  /*  9240 */ "NetworkInformation" "\0"
  /*  9259 */ "Node" "\0"
  /*  9264 */ "NodeFilter" "\0"
  /*  9275 */ "NodeIterator" "\0"
  /*  9288 */ "NodeList" "\0"
  /*  9297 */ "Notification" "\0"
  /*  9310 */ "NotificationEvent" "\0"
  /*  9328 */ "NotifyPaintEvent" "\0"
  /*  9345 */ "OES_draw_buffers_indexed" "\0"
  /*  9370 */ "OES_element_index_uint" "\0"
  /*  9393 */ "OES_fbo_render_mipmap" "\0"
  /*  9415 */ "OES_standard_derivatives" "\0"
  /*  9440 */ "OES_texture_float" "\0"
  /*  9458 */ "OES_texture_float_linear" "\0"
  /*  9483 */ "OES_texture_half_float" "\0"
  /*  9506 */ "OES_texture_half_float_linear" "\0"
  /*  9536 */ "OES_vertex_array_object" "\0"
  /*  9560 */ "OVR_multiview2" "\0"
  /*  9575 */ "OfflineAudioCompletionEvent" "\0"
  /*  9603 */ "OfflineAudioContext" "\0"
  /*  9623 */ "OffscreenCanvas" "\0"
  /*  9639 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9673 */ "OnlyForUseInConstructor" "\0"
  /*  9697 */ "Option" "\0"
  /*  9704 */ "OscillatorNode" "\0"
  /*  9719 */ "PageTransitionEvent" "\0"
  /*  9739 */ "PaintRequest" "\0"
  /*  9752 */ "PaintRequestList" "\0"
  /*  9769 */ "PaintWorkletGlobalScope" "\0"
  /*  9793 */ "PannerNode" "\0"
  /*  9804 */ "ParentProcessMessageManager" "\0"
  /*  9832 */ "Path2D" "\0"
  /*  9839 */ "PathUtils" "\0"
  /*  9849 */ "PaymentAddress" "\0"
  /*  9864 */ "PaymentMethodChangeEvent" "\0"
  /*  9889 */ "PaymentRequest" "\0"
  /*  9904 */ "PaymentRequestUpdateEvent" "\0"
  /*  9930 */ "PaymentResponse" "\0"
  /*  9946 */ "PeerConnectionImpl" "\0"
  /*  9965 */ "PeerConnectionObserver" "\0"
  /*  9988 */ "Performance" "\0"
  /* 10000 */ "PerformanceEntry" "\0"
  /* 10017 */ "PerformanceEntryEvent" "\0"
  /* 10039 */ "PerformanceEventTiming" "\0"
  /* 10062 */ "PerformanceMark" "\0"
  /* 10078 */ "PerformanceMeasure" "\0"
  /* 10097 */ "PerformanceNavigation" "\0"
  /* 10119 */ "PerformanceNavigationTiming" "\0"
  /* 10147 */ "PerformanceObserver" "\0"
  /* 10167 */ "PerformanceObserverEntryList" "\0"
  /* 10196 */ "PerformancePaintTiming" "\0"
  /* 10219 */ "PerformanceResourceTiming" "\0"
  /* 10245 */ "PerformanceServerTiming" "\0"
  /* 10269 */ "PerformanceTiming" "\0"
  /* 10287 */ "PeriodicWave" "\0"
  /* 10300 */ "PermissionStatus" "\0"
  /* 10317 */ "Permissions" "\0"
  /* 10329 */ "PlacesBookmark" "\0"
  /* 10344 */ "PlacesBookmarkAddition" "\0"
  /* 10367 */ "PlacesBookmarkChanged" "\0"
  /* 10389 */ "PlacesBookmarkGuid" "\0"
  /* 10408 */ "PlacesBookmarkKeyword" "\0"
  /* 10430 */ "PlacesBookmarkMoved" "\0"
  /* 10450 */ "PlacesBookmarkRemoved" "\0"
  /* 10472 */ "PlacesBookmarkTags" "\0"
  /* 10491 */ "PlacesBookmarkTime" "\0"
  /* 10510 */ "PlacesBookmarkTitle" "\0"
  /* 10530 */ "PlacesBookmarkUrl" "\0"
  /* 10548 */ "PlacesEvent" "\0"
  /* 10560 */ "PlacesEventCounts" "\0"
  /* 10578 */ "PlacesFavicon" "\0"
  /* 10592 */ "PlacesHistoryCleared" "\0"
  /* 10613 */ "PlacesObservers" "\0"
  /* 10629 */ "PlacesPurgeCaches" "\0"
  /* 10647 */ "PlacesRanking" "\0"
  /* 10661 */ "PlacesVisit" "\0"
  /* 10673 */ "PlacesVisitRemoved" "\0"
  /* 10692 */ "PlacesVisitTitle" "\0"
  /* 10709 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10735 */ "Plugin" "\0"
  /* 10742 */ "PluginArray" "\0"
  /* 10754 */ "PluginCrashedEvent" "\0"
  /* 10773 */ "PointerEvent" "\0"
  /* 10786 */ "PopStateEvent" "\0"
  /* 10800 */ "PopupBlockedEvent" "\0"
  /* 10818 */ "PopupPositionedEvent" "\0"
  /* 10839 */ "PositionStateEvent" "\0"
  /* 10858 */ "PrecompiledScript" "\0"
  /* 10876 */ "PrivateAttribution" "\0"
  /* 10895 */ "ProcessMessageManager" "\0"
  /* 10917 */ "ProcessingInstruction" "\0"
  /* 10939 */ "ProgressEvent" "\0"
  /* 10953 */ "PromiseDebugging" "\0"
  /* 10970 */ "PromiseNativeHandler" "\0"
  /* 10991 */ "PromiseRejectionEvent" "\0"
  /* 11013 */ "PublicKeyCredential" "\0"
  /* 11033 */ "PushEvent" "\0"
  /* 11043 */ "PushManager" "\0"
  /* 11055 */ "PushManagerImpl" "\0"
  /* 11071 */ "PushMessageData" "\0"
  /* 11087 */ "PushSubscription" "\0"
  /* 11104 */ "PushSubscriptionChangeEvent" "\0"
  /* 11132 */ "PushSubscriptionOptions" "\0"
  /* 11156 */ "RTCCertificate" "\0"
  /* 11171 */ "RTCDTMFSender" "\0"
  /* 11185 */ "RTCDTMFToneChangeEvent" "\0"
  /* 11208 */ "RTCDataChannel" "\0"
  /* 11223 */ "RTCDataChannelEvent" "\0"
  /* 11243 */ "RTCDtlsTransport" "\0"
  /* 11260 */ "RTCEncodedAudioFrame" "\0"
  /* 11281 */ "RTCEncodedVideoFrame" "\0"
  /* 11302 */ "RTCIceCandidate" "\0"
  /* 11318 */ "RTCIceTransport" "\0"
  /* 11334 */ "RTCIdentityProviderRegistrar" "\0"
  /* 11363 */ "RTCPeerConnection" "\0"
  /* 11381 */ "RTCPeerConnectionIceEvent" "\0"
  /* 11407 */ "RTCPeerConnectionStatic" "\0"
  /* 11431 */ "RTCRtpReceiver" "\0"
  /* 11446 */ "RTCRtpScriptTransform" "\0"
  /* 11468 */ "RTCRtpScriptTransformer" "\0"
  /* 11492 */ "RTCRtpSender" "\0"
  /* 11505 */ "RTCRtpTransceiver" "\0"
  /* 11523 */ "RTCSctpTransport" "\0"
  /* 11540 */ "RTCSessionDescription" "\0"
  /* 11562 */ "RTCStatsReport" "\0"
  /* 11577 */ "RTCTrackEvent" "\0"
  /* 11591 */ "RTCTransformEvent" "\0"
  /* 11609 */ "RadioNodeList" "\0"
  /* 11623 */ "Range" "\0"
  /* 11629 */ "ReadableByteStreamController" "\0"
  /* 11658 */ "ReadableStream" "\0"
  /* 11673 */ "ReadableStream AsyncIterator" "\0"
  /* 11702 */ "ReadableStreamBYOBReader" "\0"
  /* 11727 */ "ReadableStreamBYOBRequest" "\0"
  /* 11753 */ "ReadableStreamDefaultController" "\0"
  /* 11785 */ "ReadableStreamDefaultReader" "\0"
  /* 11813 */ "Report" "\0"
  /* 11820 */ "ReportBody" "\0"
  /* 11831 */ "ReportingObserver" "\0"
  /* 11849 */ "Request" "\0"
  /* 11857 */ "ResizeObserver" "\0"
  /* 11872 */ "ResizeObserverEntry" "\0"
  /* 11892 */ "ResizeObserverSize" "\0"
  /* 11911 */ "Response" "\0"
  /* 11920 */ "SVGAElement" "\0"
  /* 11932 */ "SVGAngle" "\0"
  /* 11941 */ "SVGAnimateElement" "\0"
  /* 11959 */ "SVGAnimateMotionElement" "\0"
  /* 11983 */ "SVGAnimateTransformElement" "\0"
  /* 12010 */ "SVGAnimatedAngle" "\0"
  /* 12027 */ "SVGAnimatedBoolean" "\0"
  /* 12046 */ "SVGAnimatedEnumeration" "\0"
  /* 12069 */ "SVGAnimatedInteger" "\0"
  /* 12088 */ "SVGAnimatedLength" "\0"
  /* 12106 */ "SVGAnimatedLengthList" "\0"
  /* 12128 */ "SVGAnimatedNumber" "\0"
  /* 12146 */ "SVGAnimatedNumberList" "\0"
  /* 12168 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 12199 */ "SVGAnimatedRect" "\0"
  /* 12215 */ "SVGAnimatedString" "\0"
  /* 12233 */ "SVGAnimatedTransformList" "\0"
  /* 12258 */ "SVGAnimationElement" "\0"
  /* 12278 */ "SVGCircleElement" "\0"
  /* 12295 */ "SVGClipPathElement" "\0"
  /* 12314 */ "SVGComponentTransferFunctionElement" "\0"
  /* 12350 */ "SVGDefsElement" "\0"
  /* 12365 */ "SVGDescElement" "\0"
  /* 12380 */ "SVGDiscardElement" "\0"
  /* 12398 */ "SVGElement" "\0"
  /* 12409 */ "SVGEllipseElement" "\0"
  /* 12427 */ "SVGFEBlendElement" "\0"
  /* 12445 */ "SVGFEColorMatrixElement" "\0"
  /* 12469 */ "SVGFEComponentTransferElement" "\0"
  /* 12499 */ "SVGFECompositeElement" "\0"
  /* 12521 */ "SVGFEConvolveMatrixElement" "\0"
  /* 12548 */ "SVGFEDiffuseLightingElement" "\0"
  /* 12576 */ "SVGFEDisplacementMapElement" "\0"
  /* 12604 */ "SVGFEDistantLightElement" "\0"
  /* 12629 */ "SVGFEDropShadowElement" "\0"
  /* 12652 */ "SVGFEFloodElement" "\0"
  /* 12670 */ "SVGFEFuncAElement" "\0"
  /* 12688 */ "SVGFEFuncBElement" "\0"
  /* 12706 */ "SVGFEFuncGElement" "\0"
  /* 12724 */ "SVGFEFuncRElement" "\0"
  /* 12742 */ "SVGFEGaussianBlurElement" "\0"
  /* 12767 */ "SVGFEImageElement" "\0"
  /* 12785 */ "SVGFEMergeElement" "\0"
  /* 12803 */ "SVGFEMergeNodeElement" "\0"
  /* 12825 */ "SVGFEMorphologyElement" "\0"
  /* 12848 */ "SVGFEOffsetElement" "\0"
  /* 12867 */ "SVGFEPointLightElement" "\0"
  /* 12890 */ "SVGFESpecularLightingElement" "\0"
  /* 12919 */ "SVGFESpotLightElement" "\0"
  /* 12941 */ "SVGFETileElement" "\0"
  /* 12958 */ "SVGFETurbulenceElement" "\0"
  /* 12981 */ "SVGFilterElement" "\0"
  /* 12998 */ "SVGForeignObjectElement" "\0"
  /* 13022 */ "SVGGElement" "\0"
  /* 13034 */ "SVGGeometryElement" "\0"
  /* 13053 */ "SVGGradientElement" "\0"
  /* 13072 */ "SVGGraphicsElement" "\0"
  /* 13091 */ "SVGImageElement" "\0"
  /* 13107 */ "SVGLength" "\0"
  /* 13117 */ "SVGLengthList" "\0"
  /* 13131 */ "SVGLineElement" "\0"
  /* 13146 */ "SVGLinearGradientElement" "\0"
  /* 13171 */ "SVGMPathElement" "\0"
  /* 13187 */ "SVGMarkerElement" "\0"
  /* 13204 */ "SVGMaskElement" "\0"
  /* 13219 */ "SVGMatrix" "\0"
  /* 13229 */ "SVGMetadataElement" "\0"
  /* 13248 */ "SVGNumber" "\0"
  /* 13258 */ "SVGNumberList" "\0"
  /* 13272 */ "SVGPathElement" "\0"
  /* 13287 */ "SVGPathSegment" "\0"
  /* 13302 */ "SVGPatternElement" "\0"
  /* 13320 */ "SVGPoint" "\0"
  /* 13329 */ "SVGPointList" "\0"
  /* 13342 */ "SVGPolygonElement" "\0"
  /* 13360 */ "SVGPolylineElement" "\0"
  /* 13379 */ "SVGPreserveAspectRatio" "\0"
  /* 13402 */ "SVGRadialGradientElement" "\0"
  /* 13427 */ "SVGRect" "\0"
  /* 13435 */ "SVGRectElement" "\0"
  /* 13450 */ "SVGSVGElement" "\0"
  /* 13464 */ "SVGScriptElement" "\0"
  /* 13481 */ "SVGSetElement" "\0"
  /* 13495 */ "SVGStopElement" "\0"
  /* 13510 */ "SVGStringList" "\0"
  /* 13524 */ "SVGStyleElement" "\0"
  /* 13540 */ "SVGSwitchElement" "\0"
  /* 13557 */ "SVGSymbolElement" "\0"
  /* 13574 */ "SVGTSpanElement" "\0"
  /* 13590 */ "SVGTextContentElement" "\0"
  /* 13612 */ "SVGTextElement" "\0"
  /* 13627 */ "SVGTextPathElement" "\0"
  /* 13646 */ "SVGTextPositioningElement" "\0"
  /* 13672 */ "SVGTitleElement" "\0"
  /* 13688 */ "SVGTransform" "\0"
  /* 13701 */ "SVGTransformList" "\0"
  /* 13718 */ "SVGUnitTypes" "\0"
  /* 13731 */ "SVGUseElement" "\0"
  /* 13745 */ "SVGViewElement" "\0"
  /* 13760 */ "Sanitizer" "\0"
  /* 13770 */ "Scheduler" "\0"
  /* 13780 */ "Screen" "\0"
  /* 13787 */ "ScreenLuminance" "\0"
  /* 13803 */ "ScreenOrientation" "\0"
  /* 13821 */ "ScriptProcessorNode" "\0"
  /* 13841 */ "ScrollAreaEvent" "\0"
  /* 13857 */ "ScrollViewChangeEvent" "\0"
  /* 13879 */ "SecurityPolicyViolationEvent" "\0"
  /* 13908 */ "Selection" "\0"
  /* 13918 */ "ServiceWorker" "\0"
  /* 13932 */ "ServiceWorkerContainer" "\0"
  /* 13955 */ "ServiceWorkerGlobalScope" "\0"
  /* 13980 */ "ServiceWorkerRegistration" "\0"
  /* 14006 */ "SessionStoreFormData" "\0"
  /* 14027 */ "SessionStoreScrollData" "\0"
  /* 14050 */ "SessionStoreUtils" "\0"
  /* 14068 */ "ShadowRealmGlobalScope" "\0"
  /* 14091 */ "ShadowRoot" "\0"
  /* 14102 */ "SharedWorker" "\0"
  /* 14115 */ "SharedWorkerGlobalScope" "\0"
  /* 14139 */ "SimpleGestureEvent" "\0"
  /* 14158 */ "SourceBuffer" "\0"
  /* 14171 */ "SourceBufferList" "\0"
  /* 14188 */ "SpeechGrammar" "\0"
  /* 14202 */ "SpeechGrammarList" "\0"
  /* 14220 */ "SpeechRecognition" "\0"
  /* 14238 */ "SpeechRecognitionAlternative" "\0"
  /* 14267 */ "SpeechRecognitionError" "\0"
  /* 14290 */ "SpeechRecognitionEvent" "\0"
  /* 14313 */ "SpeechRecognitionResult" "\0"
  /* 14337 */ "SpeechRecognitionResultList" "\0"
  /* 14365 */ "SpeechSynthesis" "\0"
  /* 14381 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14407 */ "SpeechSynthesisEvent" "\0"
  /* 14428 */ "SpeechSynthesisUtterance" "\0"
  /* 14453 */ "SpeechSynthesisVoice" "\0"
  /* 14474 */ "StaticRange" "\0"
  /* 14486 */ "StereoPannerNode" "\0"
  /* 14503 */ "Storage" "\0"
  /* 14511 */ "StorageEvent" "\0"
  /* 14524 */ "StorageManager" "\0"
  /* 14539 */ "StreamFilter" "\0"
  /* 14552 */ "StreamFilterDataEvent" "\0"
  /* 14574 */ "StructuredCloneHolder" "\0"
  /* 14596 */ "StructuredCloneTester" "\0"
  /* 14618 */ "StyleSheet" "\0"
  /* 14629 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14666 */ "StyleSheetList" "\0"
  /* 14681 */ "StyleSheetRemovedEvent" "\0"
  /* 14704 */ "SubmitEvent" "\0"
  /* 14716 */ "SubtleCrypto" "\0"
  /* 14729 */ "SyncMessageSender" "\0"
  /* 14747 */ "SyncReadFile" "\0"
  /* 14760 */ "TCPServerSocket" "\0"
  /* 14776 */ "TCPServerSocketEvent" "\0"
  /* 14797 */ "TCPSocket" "\0"
  /* 14807 */ "TCPSocketErrorEvent" "\0"
  /* 14827 */ "TCPSocketEvent" "\0"
  /* 14842 */ "TaskController" "\0"
  /* 14857 */ "TaskPriorityChangeEvent" "\0"
  /* 14881 */ "TaskSignal" "\0"
  /* 14892 */ "TelemetryStopwatch" "\0"
  /* 14911 */ "TestAttributesOnTypes" "\0"
  /* 14933 */ "TestCEReactionsInterface" "\0"
  /* 14958 */ "TestCImplementedInterface" "\0"
  /* 14984 */ "TestCImplementedInterface2" "\0"
  /* 15011 */ "TestCallbackDictUnionOverload" "\0"
  /* 15041 */ "TestChildInterface" "\0"
  /* 15060 */ "TestConstructorForFuncInterface" "\0"
  /* 15092 */ "TestConstructorForPrefInterface" "\0"
  /* 15124 */ "TestConstructorForSCInterface" "\0"
  /* 15154 */ "TestCppKeywordNamedMethodsInterface" "\0"
  /* 15190 */ "TestDeprecatedInterface" "\0"
  /* 15214 */ "TestExampleInterface" "\0"
  /* 15235 */ "TestExampleProxyInterface" "\0"
  /* 15261 */ "TestExampleThrowingConstructorInterface" "\0"
  /* 15301 */ "TestExampleWorkerInterface" "\0"
  /* 15328 */ "TestFuncConstructorForDifferentFuncInterface" "\0"
  /* 15373 */ "TestFuncConstructorForInterface" "\0"
  /* 15405 */ "TestHTMLConstructorInterface" "\0"
  /* 15434 */ "TestIndexedAndNamedGetterAndSetterInterface" "\0"
  /* 15478 */ "TestIndexedAndNamedGetterInterface" "\0"
  /* 15513 */ "TestIndexedAndNamedSetterInterface" "\0"
  /* 15548 */ "TestIndexedGetterAndSetterAndNamedGetterInterface" "\0"
  /* 15598 */ "TestIndexedGetterInterface" "\0"
  /* 15625 */ "TestIndexedSetterInterface" "\0"
  /* 15652 */ "TestInterface" "\0"
  /* 15666 */ "TestInterfaceWithPromiseConstructorArg" "\0"
  /* 15705 */ "TestJSImplInterface" "\0"
  /* 15725 */ "TestJSImplInterface2" "\0"
  /* 15746 */ "TestJSImplInterface3" "\0"
  /* 15767 */ "TestJSImplInterface4" "\0"
  /* 15788 */ "TestJSImplInterface5" "\0"
  /* 15809 */ "TestJSImplInterface6" "\0"
  /* 15830 */ "TestJSImplNoInterfaceObject" "\0"
  /* 15858 */ "TestLegacyFactoryFunctionInterface" "\0"
  /* 15893 */ "TestLegacyFactoryFunctionInterface2" "\0"
  /* 15929 */ "TestNamedDeleterInterface" "\0"
  /* 15955 */ "TestNamedDeleterWithRetvalInterface" "\0"
  /* 15991 */ "TestNamedGetterInterface" "\0"
  /* 16016 */ "TestNamedSetterInterface" "\0"
  /* 16041 */ "TestNamespace" "\0"
  /* 16055 */ "TestNonWrapperCacheInterface" "\0"
  /* 16084 */ "TestParentInterface" "\0"
  /* 16104 */ "TestPrefChromeOnlySCFuncConstructorForInterface" "\0"
  /* 16152 */ "TestPrefConstructorForDifferentPrefInterface" "\0"
  /* 16197 */ "TestPrefConstructorForInterface" "\0"
  /* 16229 */ "TestProtoObjectHackedNamespace" "\0"
  /* 16260 */ "TestRenamedInterface" "\0"
  /* 16281 */ "TestRenamedNamespace" "\0"
  /* 16302 */ "TestSCConstructorForInterface" "\0"
  /* 16332 */ "TestSecureContextInterface" "\0"
  /* 16359 */ "TestThrowingConstructorInterface" "\0"
  /* 16392 */ "TestUtils" "\0"
  /* 16402 */ "TestWorkerExposedInterface" "\0"
  /* 16429 */ "TestingDeprecatedInterface" "\0"
  /* 16456 */ "Text" "\0"
  /* 16461 */ "TextClause" "\0"
  /* 16472 */ "TextDecoder" "\0"
  /* 16484 */ "TextDecoderStream" "\0"
  /* 16502 */ "TextEncoder" "\0"
  /* 16514 */ "TextEncoderStream" "\0"
  /* 16532 */ "TextEvent" "\0"
  /* 16542 */ "TextMetrics" "\0"
  /* 16554 */ "TextTrack" "\0"
  /* 16564 */ "TextTrackCue" "\0"
  /* 16577 */ "TextTrackCueList" "\0"
  /* 16594 */ "TextTrackList" "\0"
  /* 16608 */ "TimeEvent" "\0"
  /* 16618 */ "TimeRanges" "\0"
  /* 16629 */ "ToggleEvent" "\0"
  /* 16641 */ "Touch" "\0"
  /* 16647 */ "TouchEvent" "\0"
  /* 16658 */ "TouchList" "\0"
  /* 16668 */ "TrackEvent" "\0"
  /* 16679 */ "TransformStream" "\0"
  /* 16695 */ "TransformStreamDefaultController" "\0"
  /* 16728 */ "TransitionEvent" "\0"
  /* 16744 */ "TreeColumn" "\0"
  /* 16755 */ "TreeColumns" "\0"
  /* 16767 */ "TreeContentView" "\0"
  /* 16783 */ "TreeWalker" "\0"
  /* 16794 */ "TrustedHTML" "\0"
  /* 16806 */ "TrustedScript" "\0"
  /* 16820 */ "TrustedScriptURL" "\0"
  /* 16837 */ "TrustedTypePolicy" "\0"
  /* 16855 */ "TrustedTypePolicyFactory" "\0"
  /* 16880 */ "UDPMessageEvent" "\0"
  /* 16896 */ "UDPSocket" "\0"
  /* 16906 */ "UIEvent" "\0"
  /* 16914 */ "URL" "\0"
  /* 16918 */ "URLSearchParams" "\0"
  /* 16934 */ "URLSearchParams Iterator" "\0"
  /* 16959 */ "UniFFIPointer" "\0"
  /* 16973 */ "UniFFIScaffolding" "\0"
  /* 16991 */ "UserActivation" "\0"
  /* 17006 */ "UserInteraction" "\0"
  /* 17022 */ "UserProximityEvent" "\0"
  /* 17041 */ "VRDisplay" "\0"
  /* 17051 */ "VRDisplayCapabilities" "\0"
  /* 17073 */ "VRDisplayEvent" "\0"
  /* 17088 */ "VREyeParameters" "\0"
  /* 17104 */ "VRFieldOfView" "\0"
  /* 17118 */ "VRFrameData" "\0"
  /* 17130 */ "VRMockController" "\0"
  /* 17147 */ "VRMockDisplay" "\0"
  /* 17161 */ "VRPose" "\0"
  /* 17168 */ "VRServiceTest" "\0"
  /* 17182 */ "VRStageParameters" "\0"
  /* 17200 */ "VTTCue" "\0"
  /* 17207 */ "VTTRegion" "\0"
  /* 17217 */ "ValidityState" "\0"
  /* 17231 */ "VideoColorSpace" "\0"
  /* 17247 */ "VideoDecoder" "\0"
  /* 17260 */ "VideoEncoder" "\0"
  /* 17273 */ "VideoFrame" "\0"
  /* 17284 */ "VideoPlaybackQuality" "\0"
  /* 17305 */ "VideoTrack" "\0"
  /* 17316 */ "VideoTrackList" "\0"
  /* 17331 */ "ViewTransition" "\0"
  /* 17346 */ "VisualViewport" "\0"
  /* 17361 */ "WEBGL_color_buffer_float" "\0"
  /* 17386 */ "WEBGL_compressed_texture_astc" "\0"
  /* 17416 */ "WEBGL_compressed_texture_etc" "\0"
  /* 17445 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 17475 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 17506 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 17536 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 17571 */ "WEBGL_debug_renderer_info" "\0"
  /* 17597 */ "WEBGL_debug_shaders" "\0"
  /* 17617 */ "WEBGL_depth_texture" "\0"
  /* 17637 */ "WEBGL_draw_buffers" "\0"
  /* 17656 */ "WEBGL_explicit_present" "\0"
  /* 17679 */ "WEBGL_lose_context" "\0"
  /* 17698 */ "WEBGL_provoking_vertex" "\0"
  /* 17721 */ "WGSLLanguageFeatures" "\0"
  /* 17742 */ "WakeLock" "\0"
  /* 17751 */ "WakeLockSentinel" "\0"
  /* 17768 */ "WaveShaperNode" "\0"
  /* 17783 */ "WebExtensionContentScript" "\0"
  /* 17809 */ "WebExtensionPolicy" "\0"
  /* 17828 */ "WebGL2RenderingContext" "\0"
  /* 17851 */ "WebGLActiveInfo" "\0"
  /* 17867 */ "WebGLBuffer" "\0"
  /* 17879 */ "WebGLContextEvent" "\0"
  /* 17897 */ "WebGLFramebuffer" "\0"
  /* 17914 */ "WebGLProgram" "\0"
  /* 17927 */ "WebGLQuery" "\0"
  /* 17938 */ "WebGLRenderbuffer" "\0"
  /* 17956 */ "WebGLRenderingContext" "\0"
  /* 17978 */ "WebGLSampler" "\0"
  /* 17991 */ "WebGLShader" "\0"
  /* 18003 */ "WebGLShaderPrecisionFormat" "\0"
  /* 18030 */ "WebGLSync" "\0"
  /* 18040 */ "WebGLTexture" "\0"
  /* 18053 */ "WebGLTransformFeedback" "\0"
  /* 18076 */ "WebGLUniformLocation" "\0"
  /* 18097 */ "WebGLVertexArrayObject" "\0"
  /* 18120 */ "WebKitCSSMatrix" "\0"
  /* 18136 */ "WebSocket" "\0"
  /* 18146 */ "WebTransport" "\0"
  /* 18159 */ "WebTransportBidirectionalStream" "\0"
  /* 18191 */ "WebTransportDatagramDuplexStream" "\0"
  /* 18224 */ "WebTransportError" "\0"
  /* 18242 */ "WebTransportReceiveStream" "\0"
  /* 18268 */ "WebTransportSendStream" "\0"
  /* 18291 */ "WebrtcGlobalInformation" "\0"
  /* 18315 */ "WheelEvent" "\0"
  /* 18326 */ "Window" "\0"
  /* 18333 */ "WindowClient" "\0"
  /* 18346 */ "WindowContext" "\0"
  /* 18360 */ "WindowGlobalChild" "\0"
  /* 18378 */ "WindowGlobalParent" "\0"
  /* 18397 */ "WindowRoot" "\0"
  /* 18408 */ "Worker" "\0"
  /* 18415 */ "WorkerDebuggerGlobalScope" "\0"
  /* 18441 */ "WorkerGlobalScope" "\0"
  /* 18459 */ "WorkerLocation" "\0"
  /* 18474 */ "WorkerNavigator" "\0"
  /* 18490 */ "WorkerTestUtils" "\0"
  /* 18506 */ "Worklet" "\0"
  /* 18514 */ "WorkletGlobalScope" "\0"
  /* 18533 */ "WritableStream" "\0"
  /* 18548 */ "WritableStreamDefaultController" "\0"
  /* 18580 */ "WritableStreamDefaultWriter" "\0"
  /* 18608 */ "XMLDocument" "\0"
  /* 18620 */ "XMLHttpRequest" "\0"
  /* 18635 */ "XMLHttpRequestEventTarget" "\0"
  /* 18661 */ "XMLHttpRequestUpload" "\0"
  /* 18682 */ "XMLSerializer" "\0"
  /* 18696 */ "XPathEvaluator" "\0"
  /* 18711 */ "XPathExpression" "\0"
  /* 18727 */ "XPathResult" "\0"
  /* 18739 */ "XRBoundedReferenceSpace" "\0"
  /* 18763 */ "XRFrame" "\0"
  /* 18771 */ "XRInputSource" "\0"
  /* 18785 */ "XRInputSourceArray" "\0"
  /* 18804 */ "XRInputSourceEvent" "\0"
  /* 18823 */ "XRInputSourcesChangeEvent" "\0"
  /* 18849 */ "XRPose" "\0"
  /* 18856 */ "XRReferenceSpace" "\0"
  /* 18873 */ "XRReferenceSpaceEvent" "\0"
  /* 18895 */ "XRRenderState" "\0"
  /* 18909 */ "XRRigidTransform" "\0"
  /* 18926 */ "XRSession" "\0"
  /* 18936 */ "XRSessionEvent" "\0"
  /* 18951 */ "XRSpace" "\0"
  /* 18959 */ "XRSystem" "\0"
  /* 18968 */ "XRView" "\0"
  /* 18975 */ "XRViewerPose" "\0"
  /* 18988 */ "XRViewport" "\0"
  /* 18999 */ "XRWebGLLayer" "\0"
  /* 19012 */ "XSLTProcessor" "\0"
  /* 19026 */ "XULCommandEvent" "\0"
  /* 19042 */ "XULElement" "\0"
  /* 19053 */ "XULFrameElement" "\0"
  /* 19069 */ "XULMenuElement" "\0"
  /* 19084 */ "XULPopupElement" "\0"
  /* 19100 */ "XULResizerElement" "\0"
  /* 19118 */ "XULTextElement" "\0"
  /* 19133 */ "XULTreeElement" "\0"
  /* 19148 */ "console" "\0"
  /* 19156 */ "webkitSpeechGrammar" "\0"
  /* 19176 */ "webkitSpeechGrammarList" "\0"
  /* 19200 */ "webkitSpeechRecognition" "\0"
  /* 19224 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

